ShellAPI (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: ShellAPI

Package com.sun.jna.platform.win32

# Interface ShellAPI

All Superinterfaces:
  `AltCallingConvention`, `Library`, `StdCall`, `StdCallLibrary`

All Known Subinterfaces:
  `Shell32`

public interface ShellAPI extends StdCallLibrary
Ported from ShellAPI.h. Microsoft Windows SDK 6.0A.

Author:
  dblock[at]dblock.org

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `ShellAPI.APPBARDATA`
  Contains information about a system appbar message.
  `static class`
  `ShellAPI.SHELLEXECUTEINFO`
  Contains information used by ShellExecuteEx.
  `static class`
  `ShellAPI.SHFILEOPSTRUCT`
  Contains information that the SHFileOperation function uses to perform file operations.

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `Library.Handler`

  ## Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

  `StdCallLibrary.StdCallCallback`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ABE_BOTTOM`
  Bottom edge.
  `static final int`
  `ABE_LEFT`
  Left edge.
  `static final int`
  `ABE_RIGHT`
  Right edge.
  `static final int`
  `ABE_TOP`
  Top edge.
  `static final int`
  `ABM_ACTIVATE`
  Retrieves the bounding rectangle of the Windows taskbar.
  `static final int`
  `ABM_GETAUTOHIDEBAR`
  Notifies the system to activate or deactivate an appbar.
  `static final int`
  `ABM_GETSTATE`
  Sets the size and screen position of an appbar.
  `static final int`
  `ABM_GETTASKBARPOS`
  Retrieves the autohide and always-on-top states of the Windows taskbar.
  `static final int`
  `ABM_NEW`
  Appbar message value to send.
  `static final int`
  `ABM_QUERYPOS`
  Unregisters an appbar, removing the bar from the system's internal list.
  `static final int`
  `ABM_REMOVE`
  Registers a new appbar and specifies the message identifier that the system should use to send notification messages to the appbar.
  `static final int`
  `ABM_SETAUTOHIDEBAR`
  Retrieves the handle to the autohide appbar associated with a particular edge of the screen.
  `static final int`
  `ABM_SETPOS`
  Requests a size and screen position for an appbar.
  `static final int`
  `ABM_SETSTATE`
  Notifies the system when an appbar's position has changed.
  `static final int`
  `ABM_WINDOWPOSCHANGED`
  Registers or unregisters an autohide appbar for an edge of the screen.
  `static final int`
  `FO_COPY`
  `static final int`
  `FO_DELETE`
  `static final int`
  `FO_MOVE`
  `static final int`
  `FO_RENAME`
  `static final int`
  `FOF_ALLOWUNDO`
  `static final int`
  `FOF_CONFIRMMOUSE`
  `static final int`
  `FOF_FILESONLY`
  `static final int`
  `FOF_MULTIDESTFILES`
  `static final int`
  `FOF_NO_CONNECTED_ELEMENTS`
  `static final int`
  `FOF_NO_UI`
  `static final int`
  `FOF_NOCONFIRMATION`
  `static final int`
  `FOF_NOCONFIRMMKDIR`
  `static final int`
  `FOF_NOCOPYSECURITYATTRIBS`
  `static final int`
  `FOF_NOERRORUI`
  `static final int`
  `FOF_NORECURSEREPARSE`
  `static final int`
  `FOF_NORECURSION`
  `static final int`
  `FOF_RENAMEONCOLLISION`
  `static final int`
  `FOF_SILENT`
  `static final int`
  `FOF_SIMPLEPROGRESS`
  `static final int`
  `FOF_WANTMAPPINGHANDLE`
  `static final int`
  `FOF_WANTNUKEWARNING`
  `static final int`
  `PO_DELETE`
  `static final int`
  `PO_PORTCHANGE`
  `static final int`
  `PO_REN_PORT`
  `static final int`
  `PO_RENAME`
  `static final int`
  `STRUCTURE_ALIGNMENT`
  `static final TypeMapper`
  `TYPE_MAPPER`

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

  ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

  `FUNCTION_MAPPER, STDCALL_CONVENTION`

- ## Field Details

  - ### STRUCTURE_ALIGNMENT

    static final int STRUCTURE_ALIGNMENT

  - ### TYPE_MAPPER

    static final TypeMapper TYPE_MAPPER

  - ### FO_MOVE

    static final int FO_MOVE
    See Also:
      - Constant Field Values

  - ### FO_COPY

    static final int FO_COPY
    See Also:
      - Constant Field Values

  - ### FO_DELETE

    static final int FO_DELETE
    See Also:
      - Constant Field Values

  - ### FO_RENAME

    static final int FO_RENAME
    See Also:
      - Constant Field Values

  - ### FOF_MULTIDESTFILES

    static final int FOF_MULTIDESTFILES
    See Also:
      - Constant Field Values

  - ### FOF_CONFIRMMOUSE

    static final int FOF_CONFIRMMOUSE
    See Also:
      - Constant Field Values

  - ### FOF_SILENT

    static final int FOF_SILENT
    See Also:
      - Constant Field Values

  - ### FOF_RENAMEONCOLLISION

    static final int FOF_RENAMEONCOLLISION
    See Also:
      - Constant Field Values

  - ### FOF_NOCONFIRMATION

    static final int FOF_NOCONFIRMATION
    See Also:
      - Constant Field Values

  - ### FOF_WANTMAPPINGHANDLE

    static final int FOF_WANTMAPPINGHANDLE
    See Also:
      - Constant Field Values

  - ### FOF_ALLOWUNDO

    static final int FOF_ALLOWUNDO
    See Also:
      - Constant Field Values

  - ### FOF_FILESONLY

    static final int FOF_FILESONLY
    See Also:
      - Constant Field Values

  - ### FOF_SIMPLEPROGRESS

    static final int FOF_SIMPLEPROGRESS
    See Also:
      - Constant Field Values

  - ### FOF_NOCONFIRMMKDIR

    static final int FOF_NOCONFIRMMKDIR
    See Also:
      - Constant Field Values

  - ### FOF_NOERRORUI

    static final int FOF_NOERRORUI
    See Also:
      - Constant Field Values

  - ### FOF_NOCOPYSECURITYATTRIBS

    static final int FOF_NOCOPYSECURITYATTRIBS
    See Also:
      - Constant Field Values

  - ### FOF_NORECURSION

    static final int FOF_NORECURSION
    See Also:
      - Constant Field Values

  - ### FOF_NO_CONNECTED_ELEMENTS

    static final int FOF_NO_CONNECTED_ELEMENTS
    See Also:
      - Constant Field Values

  - ### FOF_WANTNUKEWARNING

    static final int FOF_WANTNUKEWARNING
    See Also:
      - Constant Field Values

  - ### FOF_NORECURSEREPARSE

    static final int FOF_NORECURSEREPARSE
    See Also:
      - Constant Field Values

  - ### FOF_NO_UI

    static final int FOF_NO_UI
    See Also:
      - Constant Field Values

  - ### PO_DELETE

    static final int PO_DELETE
    See Also:
      - Constant Field Values

  - ### PO_RENAME

    static final int PO_RENAME
    See Also:
      - Constant Field Values

  - ### PO_PORTCHANGE

    static final int PO_PORTCHANGE
    See Also:
      - Constant Field Values

  - ### PO_REN_PORT

    static final int PO_REN_PORT
    See Also:
      - Constant Field Values

  - ### ABM_NEW

    static final int ABM_NEW
    Appbar message value to send. This parameter can be one of the following values.
    See Also:
      - Constant Field Values

  - ### ABM_REMOVE

    static final int ABM_REMOVE
    Registers a new appbar and specifies the message identifier that the system should use to send notification messages to the appbar.
    See Also:
      - Constant Field Values

  - ### ABM_QUERYPOS

    static final int ABM_QUERYPOS
    Unregisters an appbar, removing the bar from the system's internal list.
    See Also:
      - Constant Field Values

  - ### ABM_SETPOS

    static final int ABM_SETPOS
    Requests a size and screen position for an appbar.
    See Also:
      - Constant Field Values

  - ### ABM_GETSTATE

    static final int ABM_GETSTATE
    Sets the size and screen position of an appbar.
    See Also:
      - Constant Field Values

  - ### ABM_GETTASKBARPOS

    static final int ABM_GETTASKBARPOS
    Retrieves the autohide and always-on-top states of the Windows taskbar.
    See Also:
      - Constant Field Values

  - ### ABM_ACTIVATE

    static final int ABM_ACTIVATE
    Retrieves the bounding rectangle of the Windows taskbar. Note that this applies only to the system taskbar. Other objects, particularly toolbars supplied with third-party software, also can be present. As a result, some of the screen area not covered by the Windows taskbar might not be visible to the user. To retrieve the area of the screen not covered by both the taskbar and other app bars -- the working area available to your application --, use the GetMonitorInfo function.
    See Also:
      - Constant Field Values

  - ### ABM_GETAUTOHIDEBAR

    static final int ABM_GETAUTOHIDEBAR
    Notifies the system to activate or deactivate an appbar. The lParam member of the APPBARDATA pointed to by pData is set to TRUE to activate or FALSE to deactivate.
    See Also:
      - Constant Field Values

  - ### ABM_SETAUTOHIDEBAR

    static final int ABM_SETAUTOHIDEBAR
    Retrieves the handle to the autohide appbar associated with a particular edge of the screen.
    See Also:
      - Constant Field Values

  - ### ABM_WINDOWPOSCHANGED

    static final int ABM_WINDOWPOSCHANGED
    Registers or unregisters an autohide appbar for an edge of the screen.
    See Also:
      - Constant Field Values

  - ### ABM_SETSTATE

    static final int ABM_SETSTATE
    Notifies the system when an appbar's position has changed.
    See Also:
      - Constant Field Values

  - ### ABE_LEFT

    static final int ABE_LEFT
    Left edge.
    See Also:
      - Constant Field Values

  - ### ABE_TOP

    static final int ABE_TOP
    Top edge.
    See Also:
      - Constant Field Values

  - ### ABE_RIGHT

    static final int ABE_RIGHT
    Right edge.
    See Also:
      - Constant Field Values

  - ### ABE_BOTTOM

    static final int ABE_BOTTOM
    Bottom edge.
    See Also:
      - Constant Field Values